Subject: Re: HONDO on SGI

From: [email-masked] (Akinori MURAKAMI)
Date: Sat, 20 Nov 93 10:42:58 +0900

About HONDO7 and HONDO8
I feel same feeling as following message.

I port it from IBM RS6000 to SGI, SUN, Fujitsu VP.
For the test samples, we can get same number as quoted in manuals.
So, if you do not care about high accuracy(greater than ten figure?)
You may  use REAL*8.

I did not take note on the porting.
Following are several my memory.
For old IRIX 3.*, you should add rewind on namelist read.
CI1 in HONDO8.3? can not compile in a single file.
I split it and modify some part.
If you need mashine dependent code, DATE and SECOND,
I can send you. 

I should menstion I port HONDO for saveral WS(except DEC Aplpha,HP),
"The IBM RS6k is faster than SGI or SUN for HONDO"
 
>> From: [email-masked] (Masson Thierry)
>> Message-Id: <[email-masked]>

>>   > There is an old version (7?) ported to the SGI and available through
>>   > QCPE.
>>   > 
>>   > The newest version (8.4) combined with KGNGRAF and named Chem - Station
>>   > is available from M.Dupuis at IBM. It is suitable for several IBM
>>   > platform, but you can port the HONDO part into an SGI with some effort.
>>   > 
>>   > I did it working in an INDIGO R4000 IRIX 4.0.5F.
>>   > 
>>   > I also mailed M. Dupuis a summary of the changes to make the program
>>   > compatible with SGI. If necessary, I can ship you a copy of the note and
>>   > instruction to compile and load the program.
>>   > 
>>   > Unfortunately, I am not very adept at using makefiles in UNIX so
>>   > the procedure is not automatic!
>>   > 
>>   > gus mercier
>>   > [email-masked]
>>   > 
>>   > 
>> 
>> These informations coulb be very usefull for the group. 
>> Thanks to send them to [email-masked].
>> 
>> I have a Hondo 8.1 source code and I look very quickly to it. 
>> 
>> The main problem I met is the fact that the source code 'int.f' uses REAL*16.
>> SGI compiler doesn't support REAL*16. They are transformed in REAL*8.
>> 
>> Do you get an idea about the impact of this approximation on the results ?
>> Have you found a workaround ?

Akinori MURAKMAI
Mitsubishi Kasei Corporation